%define oname transifex-client
# hg clone https://bitbucket.org/indifex/transifex-client
%define hg_changeset 6306ef12ae8ehg

Name:           %{oname}0.4
Version:        0.4.2
Release:        %mkrel 0.%{hg_changeset}.2
Summary:        Command line client for transifex 
Group:          Networking/WWW
License:        BSD
BuildArch:      noarch

URL:            http://www.transifex.org/
Source0:        %{oname}-%{hg_changeset}.tar.xz

BuildRequires:  python-devel
BuildRequires:	python-setuptools

Conflicts:	%{oname}

%description
The Transifex Command-line Client is a command line tool that enables you 
to easily manage your translations within a project without the need of 
an elaborate UI system, by using Transifex hosted services, or your own
instance.

You can use the command line client to easily create new resources, map locale 
files to translations and synchronize your Transifex project with your local 
repository and vice verca. Translators and localization managers can also 
use it to handle large volumes of translation files easily and without much 
hassle.

For working with tx version 1.0.x installed on our servers, tx-client < 0.5 is
needed.

%prep 
%setup -q -n %{oname}

%install 
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}


%files
%defattr(-,root,root,-)
%doc README.rst
%_bindir/tx
%python_sitelib/*




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.4.2-0.6306ef12ae8ehg.2.mga3
+ Revision: 384752
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 22 2011 obgr_seneca <obgr_seneca> 0.4.2-0.6306ef12ae8ehg.1.mga2
+ Revision: 157329
- renamed to transifex-client0.4
- conflicts to normal tx client added
- our tx is still on 1.0, so tcclient 0.4.x is needed
- updated to current hg head, since 0.4.1 doesn't work at all
- fedora is using hg as well

  + misc <misc>
    - use more standard macro

* Fri Feb 18 2011 misc <misc> 0.4.1-1.mga1
+ Revision: 53407
- new version
- imported package transifex-client

